#coding: utf-8

import socket
import Tkinter as tk
from RobohonClient import RobohonClient

# ロボホンのアドレス・ポート
ROBOHON_ADDR = "192.168.12.8"
ROBOHON_PORT = 10023

# ロボホンのメッセージサイズ
MESSAGE_LENGTH = 1024

# クライアントの生成
client = RobohonClient(ROBOHON_ADDR, ROBOHON_PORT, MESSAGE_LENGTH)

# ウィンドウの作成
window = tk.Tk()
window.title("RoBoHoN Client")
window.geometry("320x110")

# IPアドレス・フィールドの作成
ip_entry = tk.Entry(window, font=20)
ip_entry.insert(0, ROBOHON_ADDR)
ip_entry.pack(fill=tk.X)

# ポート・フィールドの作成
pt_entry = tk.Entry(window, font=20)
pt_entry.insert(0, ROBOHON_PORT)
pt_entry.pack(fill=tk.X)

# メッセージ・フィールドの作成
ms_entry = tk.Entry(window, font=20)
ms_entry.insert(0, "1")
ms_entry.pack(fill=tk.X)

# テキストフィールドのクリア
def clear():
    ms_entry.delete(0, "end")

# 送信ボタンの作成
send_bt = tk.Button(window, text="SEND", height=1, command=lambda:client.send(ms_entry.get()), width=15)
send_bt.pack(side="left")

# クリアボタンの作成
clear_bt = tk.Button(window, text="CLEAR", height=1, command=lambda:clear(), width=15)
clear_bt.pack(side="left")

window.mainloop()
